fix nacl build

R=r
DELTA=23  (5 added, 0 deleted, 18 changed)
OCL=35510
CL=35518
This commit is contained in:
Russ Cox 2009-10-09 11:15:19 -07:00
parent 6084dcdd07
commit f0bde7c51b
3 changed files with 23 additions and 18 deletions

View file

@ -970,7 +970,7 @@ asmb(void)
eh->ident[EI_VERSION] = EV_CURRENT;
if(HEADTYPE == 8) {
eh->ident[EI_OSABI] = ELFOSABI_NACL;
eh->ident[EI_ABIVERSION] = 5;
eh->ident[EI_ABIVERSION] = 6;
eh->flags = 0x200000; // aligned mod 32
}

View file

@ -21,21 +21,26 @@ chmod +x $GOBIN/quietgcc
for i in lib9 libbio libmach libregexp cmd pkg libcgo cmd/cgo cmd/ebnflint cmd/godoc cmd/gofmt
do
# The ( ) here are to preserve the current directory
# for the next round despite the cd $i below.
# set -e does not apply to ( ) so we must explicitly
# test the exit status.
(
echo; echo; echo %%%% making $i %%%%; echo
cd $i
case $i in
cmd)
bash make.bash
;;
*)
make install
esac
) || exit 1
case "$i-$GOOS" in
libcgo-nacl)
;;
*)
# The ( ) here are to preserve the current directory
# for the next round despite the cd $i below.
# set -e does not apply to ( ) so we must explicitly
# test the exit status.
(
echo; echo; echo %%%% making $i %%%%; echo
cd $i
case $i in
cmd)
bash make.bash
;;
*)
make install
esac
) || exit 1
esac
done
case "`uname`" in

View file

@ -19,7 +19,7 @@ export GOTRACEBACK=0
failed=0
PATH=/bin:/usr/bin:/usr/local/bin:${GOBIN:-$HOME/bin}:`pwd`
export PATH=/bin:/usr/bin:/usr/local/bin:${GOBIN:-$HOME/bin}:$HOME/bin:$(pwd)
RUNFILE=/tmp/gorun-$$-$USER
TMP1FILE=/tmp/gotest1-$$-$USER
@ -60,7 +60,7 @@ done | # clean up some stack noise
s/^pc: 0x[0-9a-f]*/pc: xxx/
/^Trace\/breakpoint trap/d
/^Trace\/BPT trap/d
/RUNFILE/ s/line 1: *[0-9]*/line 1: PID/
/RUNFILE/ s/line 1: *[0-9][0-9]* /line 1: PID /
/^\$RUNFILE: line 1: PID Trace\/breakpoint trap/d
/^qemu: uncaught target signal 11 (Segmentation fault) - exiting/d' > run.out